import { jsx } from "react/jsx-runtime";
import { LampIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Lamp = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Lamp", ...props, children: /* @__PURE__ */ jsx(LampIcon, { weight: variant }) });
  }
);
Lamp.displayName = "Lamp";
Object.assign(Lamp, { isGdsIcon: true });
export {
  Lamp
};
